Manifest-Version: 1.0
Bnd-LastModified: 1712087859098
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Service
Bundle-SymbolicName: com.liferay.journal.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.72.hotfix-5217-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.auto.tagger.text.extractor;version="
 1.0",com.liferay.asset.display.page.model;version="4.0",com.liferay.a
 sset.display.page.service;version="2.7",com.liferay.asset.display.pag
 e.util;version="2.0",com.liferay.asset.entry.rel.model;version="3.0",
 com.liferay.asset.entry.rel.service;version="1.6",com.liferay.asset.k
 ernel;version="2.0",com.liferay.asset.kernel.model;version="8.0",com.
 liferay.asset.kernel.service;version="7.1",com.liferay.asset.kernel.v
 alidator;version="2.0",com.liferay.asset.util;version="2.1",com.lifer
 ay.change.tracking.model;version="3.0",com.liferay.change.tracking.sp
 i.listener;version="2.0",com.liferay.change.tracking.spi.reference;ve
 rsion="1.0",com.liferay.change.tracking.spi.reference.builder;version
 ="1.0",com.liferay.change.tracking.spi.resolver;version="1.0",com.lif
 eray.change.tracking.spi.resolver.context;version="1.0",com.liferay.c
 hange.tracking.spi.search;version="1.0",com.liferay.changeset.model;v
 ersion="3.0",com.liferay.changeset.service;version="1.6",com.liferay.
 comment.upgrade;version="2.0",com.liferay.counter.kernel.service;vers
 ion="2.1",com.liferay.data.engine.service;version="1.9",com.liferay.d
 epot.service;version="1.9",com.liferay.depot.util;version="1.0",com.l
 iferay.diff;version="1.0",com.liferay.diff.exception;version="1.0",co
 m.liferay.document.library.kernel.exception;version="3.4",com.liferay
 .document.library.kernel.model;version="6.0",com.liferay.document.lib
 rary.kernel.service;version="6.2",com.liferay.document.library.kernel
 .util;version="7.0",com.liferay.document.library.util;version="1.1",c
 om.liferay.dynamic.data.lists.service;version="2.5",com.liferay.dynam
 ic.data.mapping.exception;version="2.7",com.liferay.dynamic.data.mapp
 ing.model;version="6.1",com.liferay.dynamic.data.mapping.service;vers
 ion="3.12",com.liferay.dynamic.data.mapping.storage;version="1.9",com
 .liferay.dynamic.data.mapping.storage.constants;version="1.2",com.lif
 eray.dynamic.data.mapping.util;version="4.0",com.liferay.expando.kern
 el.model;version="4.1",com.liferay.expando.kernel.service;version="1.
 8",com.liferay.expando.kernel.util;version="4.0",com.liferay.exportim
 port.configuration;version="2.1",com.liferay.exportimport.content.pro
 cessor;version="1.0",com.liferay.exportimport.data.handler.base;versi
 on="1.0",com.liferay.exportimport.kernel.exception;version="2.0",com.
 liferay.exportimport.kernel.lar;version="4.2",com.liferay.exportimpor
 t.kernel.lifecycle;version="4.0",com.liferay.exportimport.kernel.mode
 l;version="4.0",com.liferay.exportimport.kernel.staging;version="2.2"
 ,com.liferay.exportimport.kernel.staging.permission;version="1.0",com
 .liferay.exportimport.kernel.xstream;version="2.0",com.liferay.export
 import.staged.model.repository;version="1.1",com.liferay.friendly.url
 .exception;version="1.0",com.liferay.friendly.url.model;version="3.0"
 ,com.liferay.friendly.url.service;version="1.6",com.liferay.info.item
 ;version="4.0",com.liferay.info.item.provider;version="1.6",com.lifer
 ay.journal.configuration;version="7.0",com.liferay.journal.constants;
 version="2.0",com.liferay.journal.content.compatibility.converter;ver
 sion="1.0",com.liferay.journal.exception;version="2.4",com.liferay.jo
 urnal.model;version="9.1",com.liferay.journal.service;version="6.0",c
 om.liferay.journal.service.persistence;version="7.1",com.liferay.jour
 nal.util;version="4.0",com.liferay.journal.util.comparator;version="1
 .3",com.liferay.layout.admin.kernel.util;version="2.0",com.liferay.la
 yout.display.page;version="2.2",com.liferay.layout.model;version="2.0
 ",com.liferay.layout.page.template.model;version="6.2",com.liferay.la
 yout.page.template.service;version="5.0",com.liferay.layout.service;v
 ersion="1.4",com.liferay.layout.util;version="4.0",com.liferay.osgi.s
 ervice.tracker.collections.map;version="2.2",com.liferay.osgi.util;ve
 rsion="2.3",com.liferay.petra.function;version="1.5",com.liferay.petr
 a.io.unsync;version="1.0",com.liferay.petra.lang;version="1.3",com.li
 feray.petra.portlet.url.builder;version="5.0",com.liferay.petra.refle
 ct;version="1.5",com.liferay.petra.sql.dsl;version="1.0",com.liferay.
 petra.sql.dsl.base;version="1.0",com.liferay.petra.sql.dsl.expression
 ;version="1.3",com.liferay.petra.sql.dsl.query;version="2.0",com.life
 ray.petra.sql.dsl.query.sort;version="1.0",com.liferay.petra.string;v
 ersion="1.6",com.liferay.petra.xml;version="1.0",com.liferay.portal.a
 op;version="1.0",com.liferay.portal.change.tracking.store,com.liferay
 .portal.configuration.metatype.bnd.util;version="2.0",com.liferay.por
 tal.configuration.persistence.listener;version="1.1",com.liferay.port
 al.configuration.upgrade;version="2.0",com.liferay.portal.dao.orm.com
 mon,com.liferay.portal.dao.orm.custom.sql;version="1.1",com.liferay.p
 ortal.instance.lifecycle;version="2.0",com.liferay.portal.kernel.bean
 ;version="10.0",com.liferay.portal.kernel.cache;version="11.0",com.li
 feray.portal.kernel.cache.index;version="6.2",com.liferay.portal.kern
 el.change.tracking;version="2.1",com.liferay.portal.kernel.cluster;ve
 rsion="8.0",com.liferay.portal.kernel.comment;version="4.0",com.lifer
 ay.portal.kernel.configuration;version="7.0",com.liferay.portal.kerne
 l.dao.db;version="10.1",com.liferay.portal.kernel.dao.jdbc;version="8
 .0",com.liferay.portal.kernel.dao.orm;version="11.0",com.liferay.port
 al.kernel.events;version="6.3",com.liferay.portal.kernel.exception;ve
 rsion="12.0",com.liferay.portal.kernel.io.unsync;version="8.0",com.li
 feray.portal.kernel.json;version="10.1",com.liferay.portal.kernel.lan
 guage;version="10.0",com.liferay.portal.kernel.log;version="7.1",com.
 liferay.portal.kernel.mobile.device;version="9.0",com.liferay.portal.
 kernel.model;version="16.0",com.liferay.portal.kernel.model.change.tr
 acking;version="2.0",com.liferay.portal.kernel.model.impl;version="6.
 0",com.liferay.portal.kernel.module.configuration;version="2.0",com.l
 iferay.portal.kernel.module.framework;version="1.4",com.liferay.porta
 l.kernel.module.framework.service;version="1.0",com.liferay.portal.ke
 rnel.portlet;version="19.0",com.liferay.portal.kernel.portletfilerepo
 sitory;version="3.0",com.liferay.portal.kernel.repository.capabilitie
 s;version="2.0",com.liferay.portal.kernel.repository.model;version="1
 1.0",com.liferay.portal.kernel.sanitizer;version="8.0",com.liferay.po
 rtal.kernel.search;version="13.0",com.liferay.portal.kernel.search.fi
 lter;version="1.0",com.liferay.portal.kernel.search.generic;version="
 3.0",com.liferay.portal.kernel.security.auth;version="5.0",com.lifera
 y.portal.kernel.security.permission;version="6.1",com.liferay.portal.
 kernel.security.permission.resource;version="2.0",com.liferay.portal.
 kernel.service;version="13.1",com.liferay.portal.kernel.service.chang
 e.tracking;version="1.0",com.liferay.portal.kernel.service.http;versi
 on="1.0",com.liferay.portal.kernel.service.permission;version="5.0",c
 om.liferay.portal.kernel.service.persistence;version="13.1",com.lifer
 ay.portal.kernel.service.persistence.change.tracking;version="1.4",co
 m.liferay.portal.kernel.service.persistence.change.tracking.helper;ve
 rsion="1.1",com.liferay.portal.kernel.service.persistence.impl;versio
 n="4.0",com.liferay.portal.kernel.servlet;version="11.1",com.liferay.
 portal.kernel.settings;version="3.2",com.liferay.portal.kernel.settin
 gs.definition;version="1.0",com.liferay.portal.kernel.social;version=
 "2.0",com.liferay.portal.kernel.systemevent;version="6.2",com.liferay
 .portal.kernel.template;version="12.0",com.liferay.portal.kernel.temp
 lateparser;version="8.0",com.liferay.portal.kernel.theme;version="9.0
 ",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.por
 tal.kernel.trash;version="12.0",com.liferay.portal.kernel.tree;versio
 n="2.1",com.liferay.portal.kernel.upgrade;version="16.2",com.liferay.
 portal.kernel.upgrade.util;version="9.0",com.liferay.portal.kernel.ut
 il;version="38.0",com.liferay.portal.kernel.uuid;version="6.2",com.li
 feray.portal.kernel.webserver;version="1.0",com.liferay.portal.kernel
 .workflow;version="15.0",com.liferay.portal.kernel.workflow.permissio
 n;version="7.0",com.liferay.portal.kernel.xml;version="7.0",com.lifer
 ay.portal.language,com.liferay.portal.search.batch;version="1.0",com.
 liferay.portal.search.filter;version="1.3",com.liferay.portal.search.
 index;version="3.5",com.liferay.portal.search.localization;version="1
 .0",com.liferay.portal.search.model.uid;version="1.1",com.liferay.por
 tal.search.query;version="1.7",com.liferay.portal.search.spi.model.in
 dex.contributor;version="1.1",com.liferay.portal.search.spi.model.ind
 ex.contributor.helper;version="1.0",com.liferay.portal.search.spi.mod
 el.query.contributor;version="1.1",com.liferay.portal.search.spi.mode
 l.query.contributor.helper;version="1.1",com.liferay.portal.search.sp
 i.model.registrar;version="1.4",com.liferay.portal.search.spi.model.r
 egistrar.contributor;version="1.0",com.liferay.portal.search.spi.mode
 l.result.contributor;version="1.1",com.liferay.portal.servlet.filters
 .cache,com.liferay.portal.upgrade.registry;version="3.1",com.liferay.
 portal.upgrade.v7_0_0;version="5.3",com.liferay.portal.util;version="
 32.0",com.liferay.portal.validation;version="1.0",com.liferay.portlet
 ;version="7.0",com.liferay.portlet.asset.util;version="4.0",com.lifer
 ay.portlet.documentlibrary.lar;version="2.0",com.liferay.portlet.docu
 mentlibrary.store;version="4.0",com.liferay.ratings.kernel.service;ve
 rsion="2.6",com.liferay.rss.util;version="1.0",com.liferay.staging;ve
 rsion="1.1",com.liferay.staging.model.listener;version="1.0",com.life
 ray.subscription.model;version="3.0",com.liferay.subscription.service
 ;version="1.6",com.liferay.trash;version="2.1",com.liferay.trash.exce
 ption;version="1.1",com.liferay.trash.kernel.exception;version="1.1",
 com.liferay.trash.kernel.model;version="4.0",com.liferay.trash.kernel
 .service;version="1.5",com.liferay.trash.model;version="4.0",com.life
 ray.trash.service;version="2.5",com.liferay.upload;version="1.2",com.
 liferay.xstream.configurator;version="1.2",javax.portlet,javax.servle
 t.http,javax.sql,org.apache.commons.lang;version="2.6",org.apache.com
 mons.lang.time;version="2.6",org.osgi.framework;version="1.8",org.osg
 i.service.cm;version="1.6",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 4.3.0
Liferay-Service: true
Private-Package: com.liferay.journal.internal.asset.auto.tagger.text.e
 xtractor,com.liferay.journal.internal.asset.util,com.liferay.journal.
 internal.asset.validator,com.liferay.journal.internal.change.tracking
 .internal.search,com.liferay.journal.internal.change.tracking.spi.ref
 erence,com.liferay.journal.internal.change.tracking.spi.resolver,com.
 liferay.journal.internal.change.tracking.spi.search,com.liferay.journ
 al.internal.configuration.definition,com.liferay.journal.internal.con
 figuration.persistence.listener,com.liferay.journal.internal.content.
 compatibility.converter,com.liferay.journal.internal.events,com.lifer
 ay.journal.internal.exportimport.content.processor,com.liferay.journa
 l.internal.exportimport.creation.strategy,com.liferay.journal.interna
 l.exportimport.data.handler,com.liferay.journal.internal.exportimport
 .lifecycle,com.liferay.journal.internal.exportimport.staged.model.rep
 ository,com.liferay.journal.internal.info.item.provider,com.liferay.j
 ournal.internal.instance.lifecycle,com.liferay.journal.internal.layou
 t.admin.util,com.liferay.journal.internal.model.listener,com.liferay.
 journal.internal.search,com.liferay.journal.internal.search.spi.model
 .index.contributor,com.liferay.journal.internal.search.spi.model.quer
 y.contributor,com.liferay.journal.internal.search.spi.model.result.co
 ntributor,com.liferay.journal.internal.security.permission,com.lifera
 y.journal.internal.security.permission.resource,com.liferay.journal.i
 nternal.settings.definition,com.liferay.journal.internal.transformer,
 com.liferay.journal.internal.trash,com.liferay.journal.internal.upgra
 de,com.liferay.journal.internal.upgrade.helper,com.liferay.journal.in
 ternal.upgrade.v0_0_3,com.liferay.journal.internal.upgrade.v0_0_4,com
 .liferay.journal.internal.upgrade.v0_0_4.dependencies,com.liferay.jou
 rnal.internal.upgrade.v0_0_5,com.liferay.journal.internal.upgrade.v0_
 0_6,com.liferay.journal.internal.upgrade.v0_0_7,com.liferay.journal.i
 nternal.upgrade.v0_0_8,com.liferay.journal.internal.upgrade.v1_0_0,co
 m.liferay.journal.internal.upgrade.v1_0_0.dependencies,com.liferay.jo
 urnal.internal.upgrade.v1_0_1,com.liferay.journal.internal.upgrade.v1
 _1_0,com.liferay.journal.internal.upgrade.v1_1_0.dependencies,com.lif
 eray.journal.internal.upgrade.v1_1_1,com.liferay.journal.internal.upg
 rade.v1_1_2,com.liferay.journal.internal.upgrade.v1_1_3,com.liferay.j
 ournal.internal.upgrade.v1_1_4,com.liferay.journal.internal.upgrade.v
 1_1_5,com.liferay.journal.internal.upgrade.v1_1_6,com.liferay.journal
 .internal.upgrade.v1_1_8,com.liferay.journal.internal.upgrade.v2_0_0.
 util,com.liferay.journal.internal.upgrade.v3_0_0,com.liferay.journal.
 internal.upgrade.v3_3_0,com.liferay.journal.internal.upgrade.v3_5_0,c
 om.liferay.journal.internal.upgrade.v3_5_1,com.liferay.journal.intern
 al.upgrade.v4_0_0,com.liferay.journal.internal.upgrade.v4_1_0,com.lif
 eray.journal.internal.upgrade.v4_2_0,com.liferay.journal.internal.upg
 rade.v4_3_0,com.liferay.journal.internal.util,com.liferay.journal.int
 ernal.validation,com.liferay.journal.internal.workflow,com.liferay.jo
 urnal.internal.xstream.configurator,com.liferay.journal.model.impl,co
 m.liferay.journal.service.base,com.liferay.journal.service.http,com.l
 iferay.journal.service.impl,com.liferay.journal.service.persistence.i
 mpl,com.liferay.journal.service.persistence.impl.constants,resource-a
 ctions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.asset.kernel.validator.AssetEntryValidatorExclusionRul
 e";uses:="com.liferay.asset.kernel.validator",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.spi.listener.CTEventListe
 ner";uses:="com.liferay.change.tracking.spi.listener",osgi.service;ob
 jectClass:List<String>="com.liferay.change.tracking.spi.listener.CTEv
 entListener,com.liferay.journal.util.JournalContent,com.liferay.porta
 l.kernel.module.framework.service.IdentifiableOSGiService";uses:="com
 .liferay.change.tracking.spi.listener,com.liferay.journal.util,com.li
 feray.portal.kernel.module.framework.service",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.spi.reference.TableRefere
 nceDefinition";uses:="com.liferay.change.tracking.spi.reference",osgi
 .service;objectClass:List<String>="com.liferay.change.tracking.spi.re
 solver.ConstraintResolver";uses:="com.liferay.change.tracking.spi.res
 olver",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.spi.search.CTSearchExcludeModelClassPKContributor";uses:="com.li
 feray.change.tracking.spi.search",osgi.service;objectClass:List<Strin
 g>="com.liferay.dynamic.data.mapping.util.DDMStructurePermissionSuppo
 rt,com.liferay.dynamic.data.mapping.util.DDMTemplatePermissionSupport
 ";uses:="com.liferay.dynamic.data.mapping.util,com.liferay.dynamic.da
 ta.mapping.util",osgi.service;objectClass:List<String>="com.liferay.e
 xportimport.content.processor.ExportImportContentProcessor";uses:="co
 m.liferay.exportimport.content.processor",osgi.service;objectClass:Li
 st<String>="com.liferay.exportimport.content.processor.ExportImportCo
 ntentProcessor,com.liferay.journal.internal.exportimport.content.proc
 essor.JournalArticleExportImportContentProcessor";uses:="com.liferay.
 exportimport.content.processor,com.liferay.journal.internal.exportimp
 ort.content.processor",osgi.service;objectClass:List<String>="com.lif
 eray.exportimport.content.processor.ExportImportContentProcessor,com.
 liferay.journal.internal.exportimport.content.processor.JournalFeedEx
 portImportContentProcessor";uses:="com.liferay.exportimport.content.p
 rocessor,com.liferay.journal.internal.exportimport.content.processor"
 ,osgi.service;objectClass:List<String>="com.liferay.exportimport.kern
 el.lar.PortletDataHandler";uses:="com.liferay.exportimport.kernel.lar
 ",osgi.service;objectClass:List<String>="com.liferay.exportimport.ker
 nel.lar.StagedModelDataHandler";uses:="com.liferay.exportimport.kerne
 l.lar",osgi.service;objectClass:List<String>="com.liferay.exportimpor
 t.kernel.lar.StagedModelDataHandler,com.liferay.journal.internal.expo
 rtimport.data.handler.JournalArticleStagedModelDataHandler";uses:="co
 m.liferay.exportimport.kernel.lar,com.liferay.journal.internal.export
 import.data.handler",osgi.service;objectClass:List<String>="com.lifer
 ay.exportimport.kernel.lifecycle.ExportImportLifecycleListener";uses:
 ="com.liferay.exportimport.kernel.lifecycle",osgi.service;objectClass
 :List<String>="com.liferay.exportimport.staged.model.repository.Stage
 dModelRepository";uses:="com.liferay.exportimport.staged.model.reposi
 tory",osgi.service;objectClass:List<String>="com.liferay.info.item.pr
 ovider.InfoItemWorkflowProvider";uses:="com.liferay.info.item.provide
 r",osgi.service;objectClass:List<String>="com.liferay.journal.content
 .compatibility.converter.JournalContentCompatibilityConverter";uses:=
 "com.liferay.journal.content.compatibility.converter",osgi.service;ob
 jectClass:List<String>="com.liferay.journal.internal.exportimport.con
 tent.processor.JournalArticleExportImportProcessorCache";uses:="com.l
 iferay.journal.internal.exportimport.content.processor",osgi.service;
 objectClass:List<String>="com.liferay.journal.internal.exportimport.c
 reation.strategy.JournalCreationStrategy";uses:="com.liferay.journal.
 internal.exportimport.creation.strategy",osgi.service;objectClass:Lis
 t<String>="com.liferay.journal.internal.upgrade.JournalServiceUpgrade
 ,com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses:="c
 om.liferay.journal.internal.upgrade,com.liferay.portal.upgrade.regist
 ry",osgi.service;objectClass:List<String>="com.liferay.journal.intern
 al.upgrade.helper.JournalArticleImageUpgradeHelper";uses:="com.lifera
 y.journal.internal.upgrade.helper",osgi.service;objectClass:List<Stri
 ng>="com.liferay.journal.service.persistence.JournalArticleFinder";us
 es:="com.liferay.journal.service.persistence",osgi.service;objectClas
 s:List<String>="com.liferay.journal.service.persistence.JournalArticl
 eLocalizationPersistence,com.liferay.portal.kernel.service.persistenc
 e.BasePersistence";uses:="com.liferay.journal.service.persistence,com
 .liferay.portal.kernel.service.persistence",osgi.service;objectClass:
 List<String>="com.liferay.journal.service.persistence.JournalArticleP
 ersistence,com.liferay.portal.kernel.service.persistence.BasePersiste
 nce";uses:="com.liferay.journal.service.persistence,com.liferay.porta
 l.kernel.service.persistence",osgi.service;objectClass:List<String>="
 com.liferay.journal.service.persistence.JournalArticleResourcePersist
 ence,com.liferay.portal.kernel.service.persistence.BasePersistence";u
 ses:="com.liferay.journal.service.persistence,com.liferay.portal.kern
 el.service.persistence",osgi.service;objectClass:List<String>="com.li
 feray.journal.service.persistence.JournalContentSearchPersistence,com
 .liferay.portal.kernel.service.persistence.BasePersistence";uses:="co
 m.liferay.journal.service.persistence,com.liferay.portal.kernel.servi
 ce.persistence",osgi.service;objectClass:List<String>="com.liferay.jo
 urnal.service.persistence.JournalFeedFinder";uses:="com.liferay.journ
 al.service.persistence",osgi.service;objectClass:List<String>="com.li
 feray.journal.service.persistence.JournalFeedPersistence,com.liferay.
 portal.kernel.service.persistence.BasePersistence";uses:="com.liferay
 .journal.service.persistence,com.liferay.portal.kernel.service.persis
 tence",osgi.service;objectClass:List<String>="com.liferay.journal.ser
 vice.persistence.JournalFolderFinder";uses:="com.liferay.journal.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.j
 ournal.service.persistence.JournalFolderPersistence,com.liferay.porta
 l.kernel.service.persistence.BasePersistence";uses:="com.liferay.jour
 nal.service.persistence,com.liferay.portal.kernel.service.persistence
 ",osgi.service;objectClass:List<String>="com.liferay.journal.service.
 persistence.impl.JournalArticleLocalizationModelArgumentsResolver,com
 .liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="com.liferay.
 journal.service.persistence.impl,com.liferay.portal.kernel.dao.orm",o
 sgi.service;objectClass:List<String>="com.liferay.journal.service.per
 sistence.impl.JournalArticleModelArgumentsResolver,com.liferay.portal
 .kernel.dao.orm.ArgumentsResolver";uses:="com.liferay.journal.service
 .persistence.impl,com.liferay.portal.kernel.dao.orm",osgi.service;obj
 ectClass:List<String>="com.liferay.journal.service.persistence.impl.J
 ournalArticleResourceModelArgumentsResolver,com.liferay.portal.kernel
 .dao.orm.ArgumentsResolver";uses:="com.liferay.journal.service.persis
 tence.impl,com.liferay.portal.kernel.dao.orm",osgi.service;objectClas
 s:List<String>="com.liferay.journal.service.persistence.impl.JournalC
 ontentSearchModelArgumentsResolver,com.liferay.portal.kernel.dao.orm.
 ArgumentsResolver";uses:="com.liferay.journal.service.persistence.imp
 l,com.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<St
 ring>="com.liferay.journal.service.persistence.impl.JournalFeedModelA
 rgumentsResolver,com.liferay.portal.kernel.dao.orm.ArgumentsResolver"
 ;uses:="com.liferay.journal.service.persistence.impl,com.liferay.port
 al.kernel.dao.orm",osgi.service;objectClass:List<String>="com.liferay
 .journal.service.persistence.impl.JournalFolderModelArgumentsResolver
 ,com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="com.life
 ray.journal.service.persistence.impl,com.liferay.portal.kernel.dao.or
 m",osgi.service;objectClass:List<String>="com.liferay.journal.util.Jo
 urnalConverter";uses:="com.liferay.journal.util",osgi.service;objectC
 lass:List<String>="com.liferay.journal.util.JournalDefaultTemplatePro
 vider";uses:="com.liferay.journal.util",osgi.service;objectClass:List
 <String>="com.liferay.journal.util.JournalHelper";uses:="com.liferay.
 journal.util",osgi.service;objectClass:List<String>="com.liferay.jour
 nal.util.JournalTransformerListenerRegistry";uses:="com.liferay.journ
 al.util",osgi.service;objectClass:List<String>="com.liferay.journal.u
 til.JournalValidator";uses:="com.liferay.journal.util",osgi.service;o
 bjectClass:List<String>="com.liferay.layout.admin.kernel.util.Sitemap
 URLProvider";uses:="com.liferay.layout.admin.kernel.util",osgi.servic
 e;objectClass:List<String>="com.liferay.layout.util.LayoutClassedMode
 lUsageRecorder";uses:="com.liferay.layout.util",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.aop.AopService";uses:="com.lifer
 ay.portal.aop",osgi.service;objectClass:List<String>="com.liferay.por
 tal.configuration.persistence.listener.ConfigurationModelListener";us
 es:="com.liferay.portal.configuration.persistence.listener",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.instance.lifecycle.P
 ortalInstanceLifecycleListener";uses:="com.liferay.portal.instance.li
 fecycle",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.events.LifecycleAction";uses:="com.liferay.portal.kernel.events"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.mod
 el.ModelListener";uses:="com.liferay.portal.kernel.model",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.search.BaseSear
 cher";uses:="com.liferay.portal.kernel.search",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.search.DDMStructureIndexer
 ";uses:="com.liferay.portal.kernel.search",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.search.Indexer";uses:="com.lif
 eray.portal.kernel.search",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.search.OpenSearch";uses:="com.liferay.portal.k
 ernel.search",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.security.permission.PermissionUpdateHandler";uses:="com.lif
 eray.portal.kernel.security.permission",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.settings.definition.Configuration
 BeanDeclaration";uses:="com.liferay.portal.kernel.settings.definition
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.se
 ttings.definition.ConfigurationPidMapping";uses:="com.liferay.portal.
 kernel.settings.definition",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.templateparser.TransformerListener";uses:="co
 m.liferay.portal.kernel.templateparser",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.trash.TrashHandler";uses:="com.li
 feray.portal.kernel.trash",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.workflow.WorkflowHandler";uses:="com.liferay.p
 ortal.kernel.workflow",osgi.service;objectClass:List<String>="com.lif
 eray.portal.search.spi.model.index.contributor.ModelDocumentContribut
 or";uses:="com.liferay.portal.search.spi.model.index.contributor",osg
 i.service;objectClass:List<String>="com.liferay.portal.search.spi.mod
 el.index.contributor.ModelIndexerWriterContributor";uses:="com.lifera
 y.portal.search.spi.model.index.contributor",osgi.service;objectClass
 :List<String>="com.liferay.portal.search.spi.model.query.contributor.
 KeywordQueryContributor";uses:="com.liferay.portal.search.spi.model.q
 uery.contributor",osgi.service;objectClass:List<String>="com.liferay.
 portal.search.spi.model.query.contributor.ModelPreFilterContributor";
 uses:="com.liferay.portal.search.spi.model.query.contributor",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.search.spi.model.r
 esult.contributor.ModelSummaryContributor";uses:="com.liferay.portal.
 search.spi.model.result.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.result.contributor.ModelVi
 sibilityContributor";uses:="com.liferay.portal.search.spi.model.resul
 t.contributor",osgi.service;objectClass:List<String>="com.liferay.por
 tal.validation.ModelValidator";uses:="com.liferay.portal.validation",
 osgi.service;objectClass:List<String>="com.liferay.xstream.configurat
 or.XStreamConfigurator";uses:="com.liferay.xstream.configurator",osgi
 .service;objectClass:List<String>="com.liferay.journal.service.Journa
 lArticleLocalService",osgi.service;objectClass:List<String>="com.life
 ray.journal.service.JournalArticleResourceLocalService",osgi.service;
 objectClass:List<String>="com.liferay.journal.service.JournalArticleS
 ervice",osgi.service;objectClass:List<String>="com.liferay.journal.se
 rvice.JournalContentSearchLocalService",osgi.service;objectClass:List
 <String>="com.liferay.journal.service.JournalFeedLocalService",osgi.s
 ervice;objectClass:List<String>="com.liferay.journal.service.JournalF
 eedService",osgi.service;objectClass:List<String>="com.liferay.journa
 l.service.JournalFolderLocalService",osgi.service;objectClass:List<St
 ring>="com.liferay.journal.service.JournalFolderService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.service.AssetDisplayPageEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.entry.r
 el.service.AssetEntryAssetCategoryRelLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.service.
 AssetCategoryLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.asset.kernel.service.AssetEntryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetLinkLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetTagLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.asset.kernel.service.AssetVocabularyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.changeset.ser
 vice.ChangesetCollectionLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.changeset.service.ChangesetEntryLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.counter.kernel.service.CounterLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.data.engine.service
 .DEDataDefinitionFieldLinkLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.depot.service.DepotEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.diff.DiffHtml)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.DLAppLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.kernel.service.DLAppService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.document.library.util.DLURLHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 dynamic.data.lists.service.DDLRecordSetLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.service.DDMFieldLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMStorageL
 inkLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.mapping.service.DDMStructureLayoutLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.service.DDMStructureLinkLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.service.DDMStructureLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.dynamic.data.mapping.servic
 e.DDMStructureService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.dynamic.data.mapping.service.DDMStructureVersionL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.dynamic.data.mapping.service.DDMTemplateLinkLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.service.DDMTemplateLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.u
 til.DDMFormValuesToFieldsConverter)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMIndexer
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ynamic.data.mapping.util.DefaultDDMStructureHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping
 .util.FieldsToDDMFormValuesConverter)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.expando.kernel.service.ExpandoRowL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.expando.kernel.service.ExpandoValueLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.exportimport.
 content.processor.ExportImportContentProcessor)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.exportimport.kernel.lar.
 ExportImportHelper)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.exportimport.kernel.staging.Staging)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.exportimport.kerne
 l.staging.permission.StagingPermission)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.friendly.url.service.FriendlyURL
 EntryLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.info.item.InfoItemServiceTracker)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.configuration.
 JournalFileUploadsConfiguration)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.journal.configuration.JournalGroupServi
 ceConfiguration)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.journal.content.compatibility.converter.JournalContentC
 ompatibilityConverter)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.journal.internal.exportimport.content.processor.J
 ournalArticleExportImportProcessorCache)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.journal.internal.exportimport.c
 ontent.processor.JournalFeedExportImportContentProcessor)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.journal.intern
 al.exportimport.creation.strategy.JournalCreationStrategy)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.journal.inter
 nal.exportimport.data.handler.JournalArticleStagedModelDataHandler)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.jour
 nal.internal.upgrade.helper.JournalArticleImageUpgradeHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.journal.se
 rvice.JournalArticleLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.journal.service.JournalArticleResource
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.journal.service.JournalArticleService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.service.Journa
 lContentSearchLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.journal.service.JournalFeedLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.journa
 l.service.JournalFolderLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.journal.service.JournalFolderServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 journal.service.persistence.JournalArticleFinder)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.service.persis
 tence.JournalArticleLocalizationPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.journal.service.persistence
 .JournalArticlePersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.journal.service.persistence.JournalArticleRe
 sourcePersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.service.persistence.JournalContentSearchPersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.journal.service.persistence.JournalFeedFinder)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.journal.service.pers
 istence.JournalFeedPersistence)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.journal.service.persistence.JournalFolde
 rFinder)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.persistence.JournalFolderPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.serv
 ice.persistence.impl.JournalArticleLocalizationModelArgumentsResolver
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.j
 ournal.service.persistence.impl.JournalArticleModelArgumentsResolver)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.jo
 urnal.service.persistence.impl.JournalArticleResourceModelArgumentsRe
 solver)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.journal.service.persistence.impl.JournalContentSearchModelArgume
 ntsResolver)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.journal.service.persistence.impl.JournalFeedModelArgumentsR
 esolver)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.persistence.impl.JournalFolderModelArgumentsRes
 olver)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.journal.util.JournalContent)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.journal.util.JournalConverter)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.journal.uti
 l.JournalDefaultTemplateProvider)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.journal.util.JournalHelper)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.journal.util.
 JournalValidator)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.layout.admin.kernel.util.Sitemap)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.layout.display.page.Lay
 outDisplayPageProviderTracker)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.layout.page.template.service.LayoutPageTe
 mplateEntryLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.layout.service.LayoutClassedModelUsageLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.change.tracking.store.CTStoreFactory)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.configuration.upgr
 ade.PrefsPropsToConfigurationUpgradeHelper)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.dao.orm.custom.sql.Cu
 stomSQL)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.cache.MultiVMPool)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.cache.SingleVMPool)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.comment.CommentManager)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.configuration.Configur
 ation)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.module.configuration.ConfigurationProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.module
 .framework.ModuleServiceLifecycle)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.portletfilerepository.P
 ortletFileRepository)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.repository.capabilities.PortalCapabi
 lityLocator)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.search.ExpandoQueryContributor)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 arch.IndexWriterHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.search.Indexer)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.search.
 IndexerRegistry)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.security.permission.InlineSQLHelper)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.security.permission.ResourceActions)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.security.permi
 ssion.resource.ModelResourcePermission)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.security.permissio
 n.resource.PortletResourcePermission)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.ClassNameLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.CompanyLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .GroupLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.ImageLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.LayoutLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.LayoutSetLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.PortletPreferenceValueLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.PortletPreferencesLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceActi
 onLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.ResourceLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.SystemEventLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.UserNotificationEventLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.WorkflowDefinitionLinkLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.WorkflowIn
 stanceLinkLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.permission.LayoutPermissio
 n)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.persistence.change.tracking.helper.CTPersistenc
 eHelper)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.settings.SettingsFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.templatepars
 er.TransformerListener)";effective:=active;resolution:=optional;cardi
 nality:=multiple,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.util.FriendlyURLNormalizer)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.util.Html)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .util.Portal)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.uuid.PortalUUID)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.workflow.permiss
 ion.WorkflowPermission)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.search.batch.BatchIndexingHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.batch.DynamicQueryBatchIndexingActionableFactory)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.search.filt
 er.FilterBuilders)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.search.index.IndexStatusManager)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.search.lo
 calization.SearchLocalizationHelper)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.search.model.uid.UIDFactory)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.search.query.QueryHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.spi.model.index.contributor
 .ModelDocumentContributor)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.spi.model.index.contributor.Mod
 elIndexerWriterContributor)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.search.spi.model.query.contributor.Ke
 ywordQueryContributor)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.spi.model.query.contributor.ModelPr
 eFilterContributor)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.search.spi.model.registrar.ModelSearchRegistr
 arHelper)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.search.spi.model.result.contributor.ModelSummaryContrib
 utor)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.spi.model.result.contributor.ModelVisibilityContribu
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portlet.documentlibrary.store.StoreFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.ratings.kernel.service.Rat
 ingsStatsLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.staging.StagingGroupHelper)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.staging.model.listener.S
 tagingModelListener)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.subscription.service.SubscriptionLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.trash.T
 rashHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.trash.service.TrashEntryLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.trash.service.TrashVersio
 nLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.upload.AttachmentContentUpdater)";effective:=active,osgi.
 service;filter:="(objectClass=javax.sql.DataSource)";effective:=activ
 e,osgi.service;filter:="(objectClass=org.osgi.service.cm.Configuratio
 nAdmin)";effective:=active,osgi.extender;filter:="(&(osgi.extender=os
 gi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi
 .contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=
 3.0.0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.con
 tract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaS
 E)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.internal.asset.auto.ta
 gger.text.extractor.JournalArticleTextExtractor.xml,OSGI-INF/com.life
 ray.journal.internal.asset.util.JournalArticleLayoutClassedModelUsage
 Recorder.xml,OSGI-INF/com.liferay.journal.internal.asset.validator.Jo
 urnalArticleAssetEntryValidatorExclusionRule.xml,OSGI-INF/com.liferay
 .journal.internal.change.tracking.internal.search.JournalArticleCTSea
 rchEventListener.xml,OSGI-INF/com.liferay.journal.internal.change.tra
 cking.spi.reference.JournalArticleLocalizationTableReferenceDefinitio
 n.xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.refer
 ence.JournalArticleResourceTableReferenceDefinition.xml,OSGI-INF/com.
 liferay.journal.internal.change.tracking.spi.reference.JournalArticle
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.journal.internal.ch
 ange.tracking.spi.reference.JournalContentSearchTableReferenceDefinit
 ion.xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.ref
 erence.JournalFeedTableReferenceDefinition.xml,OSGI-INF/com.liferay.j
 ournal.internal.change.tracking.spi.reference.JournalFolderTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.journal.internal.change.track
 ing.spi.resolver.ArticleIdAndJournalArticleVersionConstraintResolver.
 xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.resolve
 r.ExternalReferenceCodeAndJournalArticleVersionConstraintResolver.xml
 ,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.resolver.J
 ournalFolderNameConstraintResolver.xml,OSGI-INF/com.liferay.journal.i
 nternal.change.tracking.spi.search.JournalArticleCTSearchExcludeModel
 ClassPKContributor.xml,OSGI-INF/com.liferay.journal.internal.configur
 ation.definition.JournalGroupServiceConfigurationPidMapping.xml,OSGI-
 INF/com.liferay.journal.internal.configuration.persistence.listener.J
 ournalServiceConfigurationModelListener.xml,OSGI-INF/com.liferay.jour
 nal.internal.content.compatibility.converter.JournalContentCompatibil
 ityConverterImpl.xml,OSGI-INF/com.liferay.journal.internal.events.Jou
 rnalServicePreAction.xml,OSGI-INF/com.liferay.journal.internal.export
 import.content.processor.JournalArticleExportImportContentProcessor.x
 ml,OSGI-INF/com.liferay.journal.internal.exportimport.content.process
 or.JournalArticleExportImportProcessorCache.xml,OSGI-INF/com.liferay.
 journal.internal.exportimport.content.processor.JournalFeedExportImpo
 rtContentProcessor.xml,OSGI-INF/com.liferay.journal.internal.exportim
 port.content.processor.JournalFeedReferencesExportImportContentProces
 sor.xml,OSGI-INF/com.liferay.journal.internal.exportimport.creation.s
 trategy.JournalCreationStrategyImpl.xml,OSGI-INF/com.liferay.journal.
 internal.exportimport.data.handler.JournalArticleStagedModelDataHandl
 er.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.handle
 r.JournalFeedStagedModelDataHandler.xml,OSGI-INF/com.liferay.journal.
 internal.exportimport.data.handler.JournalFolderStagedModelDataHandle
 r.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.handler
 .JournalPortletDataHandler.xml,OSGI-INF/com.liferay.journal.internal.
 exportimport.lifecycle.JournalCacheExportImportLifecycleListener.xml,
 OSGI-INF/com.liferay.journal.internal.exportimport.staged.model.repos
 itory.JournalArticleStagedModelRepository.xml,OSGI-INF/com.liferay.jo
 urnal.internal.exportimport.staged.model.repository.JournalFeedStaged
 ModelRepository.xml,OSGI-INF/com.liferay.journal.internal.exportimpor
 t.staged.model.repository.JournalFolderStagedModelRepository.xml,OSGI
 -INF/com.liferay.journal.internal.info.item.provider.JournalArticleIn
 foItemWorkflowProvider.xml,OSGI-INF/com.liferay.journal.internal.inst
 ance.lifecycle.AddDefaultJournalStructuresPortalInstanceLifecycleList
 ener.xml,OSGI-INF/com.liferay.journal.internal.instance.lifecycle.Che
 ckJournalContentSearchPortalInstanceLifecycleListener.xml,OSGI-INF/co
 m.liferay.journal.internal.layout.admin.util.JournalArticleSitemapURL
 Provider.xml,OSGI-INF/com.liferay.journal.internal.model.listener.DDM
 StructureModelListener.xml,OSGI-INF/com.liferay.journal.internal.mode
 l.listener.DDMTemplateModelListener.xml,OSGI-INF/com.liferay.journal.
 internal.model.listener.GroupModelListener.xml,OSGI-INF/com.liferay.j
 ournal.internal.model.listener.JournalArticleModelListener.xml,OSGI-I
 NF/com.liferay.journal.internal.model.listener.JournalArticleStagingM
 odelListener.xml,OSGI-INF/com.liferay.journal.internal.model.listener
 .JournalFeedStagingModelListener.xml,OSGI-INF/com.liferay.journal.int
 ernal.model.listener.JournalFolderStagingModelListener.xml,OSGI-INF/c
 om.liferay.journal.internal.model.listener.LayoutModelListener.xml,OS
 GI-INF/com.liferay.journal.internal.search.JournalArticleDDMStructure
 Indexer.xml,OSGI-INF/com.liferay.journal.internal.search.JournalArtic
 leIndexer.xml,OSGI-INF/com.liferay.journal.internal.search.JournalFol
 derSearchRegistrar.xml,OSGI-INF/com.liferay.journal.internal.search.J
 ournalFolderSearcher.xml,OSGI-INF/com.liferay.journal.internal.search
 .JournalOpenSearchImpl.xml,OSGI-INF/com.liferay.journal.internal.sear
 ch.spi.model.index.contributor.JournalArticleModelDocumentContributor
 .xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.index.con
 tributor.JournalFolderModelDocumentContributor.xml,OSGI-INF/com.lifer
 ay.journal.internal.search.spi.model.index.contributor.JournalFolderM
 odelIndexerWriterContributor.xml,OSGI-INF/com.liferay.journal.interna
 l.search.spi.model.query.contributor.JournalArticleKeywordQueryContri
 butor.xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.quer
 y.contributor.JournalArticleModelPreFilterContributor.xml,OSGI-INF/co
 m.liferay.journal.internal.search.spi.model.query.contributor.Journal
 FolderKeywordQueryContributor.xml,OSGI-INF/com.liferay.journal.intern
 al.search.spi.model.query.contributor.JournalFolderModelPreFilterCont
 ributor.xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.re
 sult.contributor.JournalArticleModelSummaryContributor.xml,OSGI-INF/c
 om.liferay.journal.internal.search.spi.model.result.contributor.Journ
 alArticleModelVisibilityContributor.xml,OSGI-INF/com.liferay.journal.
 internal.search.spi.model.result.contributor.JournalFolderModelSummar
 yContributor.xml,OSGI-INF/com.liferay.journal.internal.security.permi
 ssion.JournalArticlePermissionUpdateHandler.xml,OSGI-INF/com.liferay.
 journal.internal.security.permission.JournalDDMPermissionSupport.xml,
 OSGI-INF/com.liferay.journal.internal.security.permission.JournalFeed
 PermissionUpdateHandler.xml,OSGI-INF/com.liferay.journal.internal.sec
 urity.permission.JournalFolderPermissionUpdateHandler.xml,OSGI-INF/co
 m.liferay.journal.internal.security.permission.resource.JournalArticl
 eModelResourcePermissionRegistrar.xml,OSGI-INF/com.liferay.journal.in
 ternal.security.permission.resource.JournalFeedModelResourcePermissio
 nRegistrar.xml,OSGI-INF/com.liferay.journal.internal.security.permiss
 ion.resource.JournalFolderModelResourcePermissionRegistrar.xml,OSGI-I
 NF/com.liferay.journal.internal.security.permission.resource.JournalP
 ortletResourcePermissionRegsitrar.xml,OSGI-INF/com.liferay.journal.in
 ternal.settings.definition.JournalFileUploadsConfigurationBeanDeclara
 tion.xml,OSGI-INF/com.liferay.journal.internal.settings.definition.Jo
 urnalGroupServiceConfigurationBeanDeclaration.xml,OSGI-INF/com.lifera
 y.journal.internal.settings.definition.JournalServiceConfigurationBea
 nDeclaration.xml,OSGI-INF/com.liferay.journal.internal.transformer.Co
 ntentTransformerListener.xml,OSGI-INF/com.liferay.journal.internal.tr
 ansformer.DefaultJournalTransformerListenerRegistryImpl.xml,OSGI-INF/
 com.liferay.journal.internal.transformer.LocaleTransformerListener.xm
 l,OSGI-INF/com.liferay.journal.internal.transformer.RegexTransformerL
 istener.xml,OSGI-INF/com.liferay.journal.internal.transformer.TokensT
 ransformerListener.xml,OSGI-INF/com.liferay.journal.internal.transfor
 mer.ViewCounterTransformerListener.xml,OSGI-INF/com.liferay.journal.i
 nternal.trash.JournalArticleTrashHandler.xml,OSGI-INF/com.liferay.jou
 rnal.internal.trash.JournalFolderTrashHandler.xml,OSGI-INF/com.lifera
 y.journal.internal.upgrade.JournalServiceUpgrade.xml,OSGI-INF/com.lif
 eray.journal.internal.upgrade.helper.JournalArticleImageUpgradeHelper
 .xml,OSGI-INF/com.liferay.journal.internal.util.JournalContentImpl.xm
 l,OSGI-INF/com.liferay.journal.internal.util.JournalConverterImpl.xml
 ,OSGI-INF/com.liferay.journal.internal.util.JournalDefaultTemplatePro
 viderImpl.xml,OSGI-INF/com.liferay.journal.internal.util.JournalHelpe
 rImpl.xml,OSGI-INF/com.liferay.journal.internal.util.JournalHelperUti
 l.xml,OSGI-INF/com.liferay.journal.internal.util.JournalServiceCompon
 entProvider.xml,OSGI-INF/com.liferay.journal.internal.util.JournalVal
 idatorImpl.xml,OSGI-INF/com.liferay.journal.internal.validation.Journ
 alArticleModelValidator.xml,OSGI-INF/com.liferay.journal.internal.val
 idation.JournalFolderModelValidator.xml,OSGI-INF/com.liferay.journal.
 internal.workflow.JournalArticleWorkflowHandler.xml,OSGI-INF/com.life
 ray.journal.internal.xstream.configurator.JournalXStreamConfigurator.
 xml,OSGI-INF/com.liferay.journal.service.impl.JournalArticleLocalServ
 iceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.JournalArticleL
 ocalizationCTServiceImpl.xml,OSGI-INF/com.liferay.journal.service.imp
 l.JournalArticleResourceLocalServiceImpl.xml,OSGI-INF/com.liferay.jou
 rnal.service.impl.JournalArticleServiceImpl.xml,OSGI-INF/com.liferay.
 journal.service.impl.JournalContentSearchLocalServiceImpl.xml,OSGI-IN
 F/com.liferay.journal.service.impl.JournalFeedLocalServiceImpl.xml,OS
 GI-INF/com.liferay.journal.service.impl.JournalFeedServiceImpl.xml,OS
 GI-INF/com.liferay.journal.service.impl.JournalFolderLocalServiceImpl
 .xml,OSGI-INF/com.liferay.journal.service.impl.JournalFolderServiceIm
 pl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.JournalA
 rticleFinderImpl.xml,OSGI-INF/com.liferay.journal.service.persistence
 .impl.JournalArticleLocalizationModelArgumentsResolver.xml,OSGI-INF/c
 om.liferay.journal.service.persistence.impl.JournalArticleLocalizatio
 nPersistenceImpl.xml,OSGI-INF/com.liferay.journal.service.persistence
 .impl.JournalArticleModelArgumentsResolver.xml,OSGI-INF/com.liferay.j
 ournal.service.persistence.impl.JournalArticlePersistenceImpl.xml,OSG
 I-INF/com.liferay.journal.service.persistence.impl.JournalArticleReso
 urceModelArgumentsResolver.xml,OSGI-INF/com.liferay.journal.service.p
 ersistence.impl.JournalArticleResourcePersistenceImpl.xml,OSGI-INF/co
 m.liferay.journal.service.persistence.impl.JournalContentSearchModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.journal.service.persistence
 .impl.JournalContentSearchPersistenceImpl.xml,OSGI-INF/com.liferay.jo
 urnal.service.persistence.impl.JournalFeedFinderImpl.xml,OSGI-INF/com
 .liferay.journal.service.persistence.impl.JournalFeedModelArgumentsRe
 solver.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.Jour
 nalFeedPersistenceImpl.xml,OSGI-INF/com.liferay.journal.service.persi
 stence.impl.JournalFolderFinderImpl.xml,OSGI-INF/com.liferay.journal.
 service.persistence.impl.JournalFolderModelArgumentsResolver.xml,OSGI
 -INF/com.liferay.journal.service.persistence.impl.JournalFolderPersis
 tenceImpl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.c
 onstants.JournalPersistenceConstants.xml
Tool: Bnd-4.3.0.201909301554

